summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'sys-apps')
-rw-r--r--sys-apps/bleachbit/Manifest1
-rw-r--r--sys-apps/bleachbit/bleachbit-3.0.ebuild59
2 files changed, 60 insertions, 0 deletions
diff --git a/sys-apps/bleachbit/Manifest b/sys-apps/bleachbit/Manifest
index 938076bcdf0..995c6c281a1 100644
--- a/sys-apps/bleachbit/Manifest
+++ b/sys-apps/bleachbit/Manifest
@@ -1,2 +1,3 @@
DIST bleachbit-2.2.tar.gz 1100913 BLAKE2B a16e63a2533f9d9c385d384e2fd65dbb32a8f064e769f99e8a8cab9c4069cc7b21e6896c5fa8d02d8204e8c93da8a5f66605601eb44ecc354d41f1a6d9fe2d0a SHA512 c7661cc64358a6420768c3ee1a6ec97d2fd4f0bf67b393be045ef79cef8b3f8cc273a51a5dd7c79d89b8a14cd1357f7714fc860addc9ae74af48bd8d427b3a5a
DIST bleachbit-2.3.tar.gz 1167950 BLAKE2B 61f7248ade73be167a8717ea63f4fc3c899ed437b2bd2bcdfbcdf844a5259056bbf4e90e0142d0b6ca393daf796067ff3f39eef1beef275f44ea7f4f16ee0a46 SHA512 27e6ddfa5dd773cd27508e566aa5ef3fe790543a6737a35e9c92fcebbb5f6d5a5e30faa52ce8c3cb70b0aadcfa4b1a48ed3622e3ed6fca9e35a3dfea7426f098
+DIST bleachbit-3.0.tar.bz2 562646 BLAKE2B 4acdd5469ac1b36ff149231ad0b1b2e4e85a54a81c24c7751ceeed569526b905c1cc6be5201c4fb6929eb48e0553f0b27016de2584ee2f702492cc3fe659c2f9 SHA512 0d61f0b183c0d453275913741020c54c2915be9df45be706203e2278b125f4a02c75865117a7a2d587a034caa9bf109b2f498a4d522cc103c3879cc4a5d4854d
diff --git a/sys-apps/bleachbit/bleachbit-3.0.ebuild b/sys-apps/bleachbit/bleachbit-3.0.ebuild
new file mode 100644
index 00000000000..78e8425c75e
--- /dev/null
+++ b/sys-apps/bleachbit/bleachbit-3.0.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 )
+PYTHON_REQ_USE="sqlite(+)"
+
+inherit desktop distutils-r1
+
+DESCRIPTION="Clean junk to free disk space and to maintain privacy"
+HOMEPAGE="https://www.bleachbit.org"
+SRC_URI="https://download.bleachbit.org/${P}.tar.bz2"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND="
+ dev-python/chardet[$PYTHON_USEDEP]
+ dev-python/pygobject:3[$PYTHON_USEDEP]
+ dev-python/scandir[$PYTHON_USEDEP]
+"
+BDEPEND="
+ dev-python/setuptools[$PYTHON_USEDEP]
+ sys-devel/gettext
+"
+
+python_prepare_all() {
+ # choose correct Python implementation, bug #465254
+ sed -i 's/python/${EPYTHON}/g' po/Makefile || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+ emake -C po local
+}
+
+python_install() {
+ distutils-r1_python_install
+ python_newscript ${PN}.py ${PN}
+}
+
+python_install_all() {
+ distutils-r1_python_install_all
+ emake -C po DESTDIR="${D}" install
+
+ # https://bugs.gentoo.org/388999
+ insinto /usr/share/bleachbit/cleaners
+ doins cleaners/*.xml
+
+ insinto /usr/share/bleachbit
+ doins data/app-menu.ui
+
+ doicon ${PN}.png
+ domenu ${PN}.desktop
+}